Hi there, I’ve checked the source code for the site and it’s showing you’re using version 5.2 of the theme, to work with WordPress 4.2.2 you’ll need to upgrade to version 5.5 of the theme. Go to your themeforest account, download a fresh copy of the theme from your account and that will be the latest version – 5.5. Upload this via FTP to overwrite the original copy and install. Full install details for upgrading can be found here – https://support.redfactory.nl/documentation/the-beauty-salon-2/how-to-upgrade-to-the-latest-version/

All should be working fine after the update.